Page MenuHomePhabricator

gwtoolset issues with Linker rewrite
Closed, ResolvedPublic

Description

Note to self to fix this.

Does anyone know what this error indicates? When I get to the stage of
previewing uploads on GWT, I get a page with just this:
Exception encountered, of type "Wikimedia\Assert\ParameterAssertionException"

I've tried swapping around parameters and I'm using the most basic
information template, which takes very few parameters anyway. The
upload is explained at
https://commons.wikimedia.org/wiki/Commons:Batch_uploading/Codex_Aureus

Thanks,
Fae

Details

Related Gerrit Patches:

Event Timeline

Bawolff created this task.Jun 4 2016, 9:54 PM
Restricted Application added projects: Multimedia, Commons. · View Herald TranscriptJun 4 2016, 9:54 PM
Restricted Application added subscribers: Zppix, Steinsplitter, Aklapper. · View Herald Transcript
Fae awarded a token.Jun 6 2016, 1:59 PM
Restricted Application added subscribers: Poyekhali, Matanya. · View Herald TranscriptJun 6 2016, 1:59 PM
2016-06-06 14:29:16 [V1WIuQpAIDAAAGtTcCUAAACX] mw1178 commonswiki 1.28.0-wmf.4 exception ERROR: [V1WIuQpAIDAAAGtTcCUAAACX] /wiki/Special:GWToolset   Wikimedia\Assert\ParameterAssertionException from line 63 of /srv/mediawiki/php-1.28.0-wmf.4/vendor/wikimedia/assert/src/Assert.php: Bad value for parameter $dbkey: invalid DB key {"exception_id":"V1WIuQpAIDAAAGtTcCUAAACX"} 
[Exception Wikimedia\Assert\ParameterAssertionException] (/srv/mediawiki/php-1.28.0-wmf.4/vendor/wikimedia/assert/src/Assert.php:63) Bad value for parameter $dbkey: invalid DB key
  #0 /srv/mediawiki/php-1.28.0-wmf.4/includes/title/TitleValue.php(81): Wikimedia\Assert\Assert::parameter(boolean, string, string)
  #1 /srv/mediawiki/php-1.28.0-wmf.4/includes/cache/LinkBatch.php(174): TitleValue->__construct(integer, string)
  #2 /srv/mediawiki/php-1.28.0-wmf.4/includes/OutputPage.php(1302): LinkBatch->addResultToCache(LinkCache, ResultWrapper)
  #3 /srv/mediawiki/php-1.28.0-wmf.4/includes/OutputPage.php(1345): OutputPage->addCategoryLinks(array)
  #4 /srv/mediawiki/php-1.28.0-wmf.4/extensions/GWToolset/includes/Forms/PreviewForm.php(307): OutputPage->setCategoryLinks(array)
  #5 /srv/mediawiki/php-1.28.0-wmf.4/extensions/GWToolset/includes/Forms/PreviewForm.php(143): GWToolset\Forms\PreviewForm::getMetadataAsWikitext(array, RequestContext)
  #6 /srv/mediawiki/php-1.28.0-wmf.4/extensions/GWToolset/includes/Handlers/Forms/MetadataMappingHandler.php(565): GWToolset\Forms\PreviewForm::getForm(RequestContext, array, array, array)
  #7 /srv/mediawiki/php-1.28.0-wmf.4/extensions/GWToolset/includes/Handlers/Forms/FormHandler.php(177): GWToolset\Handlers\Forms\MetadataMappingHandler->processRequest()
  #8 /srv/mediawiki/php-1.28.0-wmf.4/extensions/GWToolset/includes/Specials/SpecialGWToolset.php(123): GWToolset\Handlers\Forms\FormHandler->execute()
  #9 /srv/mediawiki/php-1.28.0-wmf.4/extensions/GWToolset/includes/Specials/SpecialGWToolset.php(76): GWToolset\SpecialGWToolset->processRequest()
  #10 /srv/mediawiki/php-1.28.0-wmf.4/includes/specialpage/SpecialPage.php(479): GWToolset\SpecialGWToolset->execute(NULL)
  #11 /srv/mediawiki/php-1.28.0-wmf.4/includes/specialpage/SpecialPageFactory.php(591): SpecialPage->run(NULL)
  #12 /srv/mediawiki/php-1.28.0-wmf.4/includes/MediaWiki.php(282): SpecialPageFactory::executePath(Title, RequestContext)
  #13 /srv/mediawiki/php-1.28.0-wmf.4/includes/MediaWiki.php(746): MediaWiki->performRequest()
  #14 /srv/mediawiki/php-1.28.0-wmf.4/includes/MediaWiki.php(520): MediaWiki->main()
  #15 /srv/mediawiki/php-1.28.0-wmf.4/index.php(43): MediaWiki->run()
  #16 /srv/mediawiki/w/index.php(3): include(string)
  #17 {main}
Legoktm claimed this task.Jun 6 2016, 7:56 PM

In PreviewForm::getMetadataAsWikitext(), $category is in display form (spaces), not dbkey form (underscores).

Change 292988 had a related patch set uploaded (by Legoktm):
Make sure categories are passed to OutputPage in dbkey form

https://gerrit.wikimedia.org/r/292988

Change 292988 merged by jenkins-bot:
Make sure categories are passed to OutputPage in dbkey form

https://gerrit.wikimedia.org/r/292988

Legoktm closed this task as Resolved.Jun 7 2016, 11:58 PM

Fix should be deployed on Wednesday, please re-open if it's still broken.